version: "3.8"
services:
  # nginx
  nginx-service:
    image: nginx:stable-alpine
    container_name: nginx-container
    depends_on:
      - php810-service
      - mysql-latest-service

  # php
  php810-service:
    build:
      context: .
      dockerfile: ./php/Dockerfile
    container_name: php810-container

  # mysql
  mysql-latest-service:
    image: mysql:latest
    container_name: mysql-latest-container

  # node
  node-service:
    image: node:17.2.0-alpine3.13
    container_name: node-container
